import React, { HTMLAttributes } from 'react';

import { ComponentsProps } from '@mui/material';

import { AdditionalProps } from '../common.types';
import { NsIconNameType } from '../icon';

export type NsAutocompleteProps = {
    id?: string;
    options: OptionsProps[];
    loading?: boolean;
    OptionsUI: React.ComponentType<any>;
    noOptionsText?: string;
    // eslint-disable-next-line no-unused-vars
    onSelect?: (params: string | OptionsProps | null) => void;
    // eslint-disable-next-line no-unused-vars
    onChange?: (params: string) => void;
    clear?: {
        text?: string;
        show?: boolean; //default to false
        onClear: () => void;
    };
    seeMore?: {
        text?: string;
        show?: boolean; //default to false
        onSeeMore: () => void;
    };
    placeholder?: string;
    className?: string;
    iconStart?: string | React.ReactNode;
    iconEnd?: string | React.ReactNode;
    inputValue: string;
    value: string | OptionsProps | null;
} & AdditionalProps;

export type ListUiProps = {
    option: OptionsProps;
};

export type OptionsProps = {
    id: string;
    group?: string;
    value: string;
    icon?: NsIconNameType;
    image?: string;
    groupBgColor?: string;
};

export type ComponentBoxProps = ComponentsProps & HTMLAttributes<HTMLElement>;
