import { PropsWithChildren } from 'react';
import { useTheme } from '@mui/material/styles';

import StyledButton from './NsButton.styled';

import { NsButtonProps } from './types.d';

const NsButton = ({ children, darkModeEnabled = true, ...props }: PropsWithChildren<NsButtonProps>) => {
    const { color } = props;
    const { palette } = useTheme();
    const btnColor = color && palette?.[color] ? color : 'primary';
    return (
        <StyledButton {...props} color={btnColor} disableRipple darkModeEnabled={darkModeEnabled}>
            {children}
        </StyledButton>
    );
};

export default NsButton;
