import { NsNextImage, NsLink } from '../';
import { NsFfgStyled } from './styled/NsFfgStyled';
import { NsFfgCardProps } from './types.d';

const NsFfgCard = ({ cardLink, text, topImageUrl, topImageAlt, additionalProps, cslp, onClick }: NsFfgCardProps) => {
    return (
        <NsFfgStyled
            data-testid={additionalProps?.testid}
            onClick={onClick}
            className={additionalProps?.className ?? ''}
        >
            <header className="top-image">
                <NsNextImage height={192} width={288} alt={topImageAlt} src={topImageUrl} />
            </header>
            <article className="body-text" {...cslp?.card_text}>
                {text}
            </article>
            <NsLink className="action-link" href={cardLink.href} additionalProps={cslp?.action_text}>
                {cardLink.title || 'LEARN MORE'}
            </NsLink>
        </NsFfgStyled>
    );
};
export default NsFfgCard;
