import { NsCartIcon } from './';
import { render, screen } from '@/test-utils/index';

const { getByTestId } = screen;
describe('NsCartIcon', () => {
    it('renders Cart icon when item count is 0', () => {
        render(<NsCartIcon itemCount={0} color="primary" size="large" />);
        const cartIcon = getByTestId('cart-badge-icon');
        expect(cartIcon).toBeInTheDocument();
    });

    it('renders item count badge when item count is greater than 0', () => {
        const itemCount = 5;
        const { getByText } = render(<NsCartIcon itemCount={5} color="primary" size="large" />);
        const badgeContentElement = getByText(itemCount.toString());
        expect(badgeContentElement).toHaveTextContent('5'); // Adjust the value as per your badge content
    });
});
