import { Badge, Theme } from '@mui/material';
import { styled, FoundationTheme } from '@nuskin/foundation-theme';

type ItemCountParams = {
    theme?: Theme;
    bgcolor: FoundationTheme.PaletteColors;
};

export const StyledBadge = styled(Badge) <ItemCountParams>`
    & .MuiBadge-badge {
        background-color: ${({ bgcolor, theme }) => theme?.palette?.[bgcolor]?.main};
        color: ${({ bgcolor, theme }) => theme?.palette?.[bgcolor]?.contrastText};
    }
`;
